{% extends 'musiques/base.html' %}
{% block title %} Liste des artistes{% endblock %}
{% block contenu %}

    <a href="{% url 'musiques:artiste_form' %}">
        <button class="btn btn-primary"> Ajouter artiste </button>
    </a>
    
        <button onclick="confirmDelete()" class="btn btn-danger">
            <a href="{% url 'musiques:artiste_deleteall' %} " id="delall">
                <i class="glyphicon glyphicon-trash"></i> Supprimer tous les artistes 
            </a>
        </button>
    

    <ul class="list-group">
    {% for artiste in artistes %}
        <li class="list-group-item">
            <a href="{% url 'musiques:artiste_detail' artiste.pk %}">{{artiste.nom}}</a>
            <a href="{% url 'musiques:artiste_delete' artiste.pk %}" class="droite"> <button class="btn btn-danger"><i class="glyphicon glyphicon-trash"></i> </button> </a>
            <a href="{% url 'musiques:artiste_update' artiste.pk %}" class="droite"> <button class="btn btn-warning"><i class="glyphicon glyphicon-pencil"></i> </button> </a>
        </li>
    {% endfor %}
    </ul>

    <script>
        function confirmDelete() {
            let conf = confirm("Êtes-vous sûr de vouloir supprimer tous les morceaux ?");
            if(conf) { // oui            
                document.querySelector("#delall").click();
            }
        }
    </script>

    
{% endblock %}
